﻿@model GarageMaster.Models.AboutProjectModels.AboutProjectEditModel

@{
    ViewData["Title"] = "EditAboutProject";
}

<h1>EditAboutProject</h1>

<hr />
<div class="row">
    <form asp-action="EditAboutProject" method="post">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="col-md-15">
            <div class="form-group">
                <input type="hidden" asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-15">
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-15">
            <div class="form-group">
                <label asp-for="Content" class="control-label"></label>
                <textarea asp-for="Content" class="form-control" id="newContent"></textarea>
                <span asp-validation-for="Content" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-15">
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>
<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newContent');
        });
    </script>
}
